Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.scheduler
Class SchedulerControlFlags

    java.lang.Object
      lbg.peer.core.scheduler.SchedulerControlFlags

    public class SchedulerControlFlags

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`SchedulerControlFlags()`

Method Summary
`void` | `clear()`
`void` | `copyFlags(SchedulerControlFlags flags)` Deprecated.
`boolean` | `getConsumptionSchedulingFlag()`
`boolean` | `getLocalSchedulingFlag()`
`boolean` | `getSupplyingSchedulingFlag()`
`void` | `setFlags(boolean local_scheduling_flag, boolean supplying_scheduling_flag, boolean consumption_scheduling_flag)` Deprecated.
`void` | `setFlagsIfTrue(boolean local_scheduling_flag, boolean supplying_scheduling_flag, boolean consumption_scheduling_flag)` Sets flags of this Peer with target flags.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchedulerControlFlags

    public SchedulerControlFlags()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clear

    public void clear()

### setFlags

    @Deprecated
    public void setFlags(boolean local_scheduling_flag,
                                    boolean supplying_scheduling_flag,
                                    boolean consumption_scheduling_flag)

  Deprecated.

  Sets flags of this Peer with target flags.

### setFlagsIfTrue

    public void setFlagsIfTrue(boolean local_scheduling_flag,
                               boolean supplying_scheduling_flag,
                               boolean consumption_scheduling_flag)

  Sets flags of this Peer with target flags.

  Note: as opposed to setFlags(), the number of flags set to true can only increase with setFlagsIfTrue(). It exists because, in SIM mode, controller.getAndResetControlFlags() can be called several times before the collected flags are actually processed. Calling setFlagsIfTrue() in LIVE mode requires that the controlled Thread clears its internal flags structure after use.

### copyFlags

    @Deprecated
    public void copyFlags(SchedulerControlFlags flags)

  Deprecated.

  Sets target flags with flags of this Peer.

### getLocalSchedulingFlag

    public boolean getLocalSchedulingFlag()

### getSupplyingSchedulingFlag

    public boolean getSupplyingSchedulingFlag()

### getConsumptionSchedulingFlag

    public boolean getConsumptionSchedulingFlag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.